## CSR > pkcs12 certificate


1. Generate CSR and private key
`openssl req -nodes -new -newkey rsa:2048 -sha256 -out csr.pem`
Results in: csr.pem, privkey.pem

2. Submit `csr.pem` to CA and obtain `cert.pem`

3. Bundle cert.pem and privkey.pem into pkcs12
```
openssl pkcs12 -export -out certificate.pfx \
-inkey privkey.pem \
-in cert.pem
```